import { ConfigOptions } from "./types";
declare type Config = {
    options?: ConfigOptions;
    additionalKeywords?: string[];
};
interface PluginCreateInfo extends ts.server.PluginCreateInfo {
    config: Config;
}
declare function init(modules: {
    typescript: typeof import("typescript/lib/tsserverlibrary");
}): {
    create: ({ config, languageService, project }: PluginCreateInfo) => import("typescript/lib/tsserverlibrary").LanguageService;
};
export = init;
